Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.aocat.psis.client.samples.verify.signature
Class CAdESSignatureDetachedValidationSample

    java.lang.Object
      net.aocat.psis.client.base.AbstractSample
          net.aocat.psis.client.samples.verify.signature.CAdESSignatureDetachedValidationSample

    public class CAdESSignatureDetachedValidationSample

extends AbstractSample

Java code sample for CAdES detached signature validation.

Author:
  aalcaide

Field Summary
`private java.lang.String` | `OUT_DIR`
`private boolean` | `PRINT_REQUEST`
`private boolean` | `PRINT_RESPONSE`
`private boolean` | `SAVE_REQUEST_AND_RESPONSE`
`private java.lang.String` | `VERIFY_REQUEST`
`private java.lang.String` | `VERIFY_RESPONSE`

Fields inherited from class net.aocat.psis.client.base.AbstractSample
`factory, log`

Constructor Summary
`CAdESSignatureDetachedValidationSample()`

Method Summary
`static void` | `main(java.lang.String[] args)`
`void` | `verifyCAdESSignatureDetached(java.io.File signature, java.io.File data)` Verifies a CAdES detached signature.

Methods inherited from class net.aocat.psis.client.base.AbstractSample
`isResultWellFormed, isResultWellFormed, printSaveRequest, printSaveRequest, printSaveResponse, printSaveResponse, showResult`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PRINT_REQUEST

    private boolean PRINT_REQUEST

### PRINT_RESPONSE

    private boolean PRINT_RESPONSE

### OUT_DIR

    private java.lang.String OUT_DIR

### SAVE_REQUEST_AND_RESPONSE

    private boolean SAVE_REQUEST_AND_RESPONSE

### VERIFY_REQUEST

    private java.lang.String VERIFY_REQUEST

### VERIFY_RESPONSE

    private java.lang.String VERIFY_RESPONSE

Constructor Detail

### CAdESSignatureDetachedValidationSample

    public CAdESSignatureDetachedValidationSample()

Method Detail

### main

    public static void main(java.lang.String[] args)

  Parameters:
    `args` -

### verifyCAdESSignatureDetached

    public void verifyCAdESSignatureDetached(java.io.File signature,
                                             java.io.File data)
                                      throws java.io.IOException

  Verifies a CAdES detached signature. Prints and/or saves request and response. Prints certificate and signature attributes. Saves updated signature to disk.

  Parameters:
    `signature` - signature to validate
    `data` - signed data to validate the signature against
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD